petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexCopyCoordinates

Copy coordinates from one mesh to another with the same vertices

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCopyCoordinates(DM dmA, DM dmB)

Collective on dmA

### Input Parameter

dmA -The DMPlex object with initial coordinates

### Output Parameter

dmB -The DMPlex object with copied coordinates

Note: This is typically used when adding pieces other than vertices to a mesh

### See Also

DMCopyLabels(), DMGetCoordinates(), DMGetCoordinatesLocal(), DMGetCoordinateDM(), DMGetCoordinateSection()

### Level

intermediate

### Location

src/dm/impls/plex/plexinterpolate.c

### Examples

src/dm/impls/plex/tutorials/ex3f90.F90.html
src/tao/tutorials/ex3.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages